Launchers shouldn't be stored in /etc

Bug #434097 reported by Ted Gould on 2009-09-21
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Messaging Menu
Fix Released
High
Ted Gould
empathy (Ubuntu)
High
Ken VanDine
evolution-indicator (Ubuntu)
High
Ken VanDine
gwibber (Ubuntu)
Wishlist
Ken VanDine
pidgin (Ubuntu)
High
Ken VanDine

Bug Description

Currently the configuration for the launchers is stored in /etc, which isn't good for a few reasons. Mostly, the reason is that the files are expected to be installed by packages and not configured or changed by users. The secondary effect of this is that removing packages doesn't remove the files unless removed with purge. A purge shouldn't be required to remove the launcher.

So, in a nutshell:

  /etc/indicators/messages/applications => /usr/share/indicators/messages/applications/

Ted Gould (ted) on 2009-09-21
Changed in indicator-messages:
status: New → Confirmed
importance: Undecided → Medium
milestone: none → ubuntu-9.10-beta-freeze
assignee: nobody → Ted Gould (ted)
Changed in indicator-messages:
importance: Medium → High
Ted Gould (ted) on 2009-09-23
Changed in indicator-messages:
milestone: ubuntu-9.10-beta-freeze → 0.2.4
status: Confirmed → Fix Committed
Ted Gould (ted) on 2009-09-24
Changed in indicator-messages:
status: Fix Committed → Fix Released
Changed in empathy (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Changed in gwibber (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → Wishlist
Changed in evolution-indicator (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → Wishlist
status: New → In Progress
Changed in gwibber (Ubuntu):
milestone: none → ubuntu-9.10-beta
milestone: ubuntu-9.10-beta → none
milestone: none → ubuntu-9.10-beta
milestone: ubuntu-9.10-beta → none
Changed in evolution-indicator (Ubuntu):
importance: Wishlist → High
milestone: none → ubuntu-9.10-beta
Ken VanDine (ken-vandine) wrote :

evolution-indicator packaging changes at lp:~ubuntu-desktop/evolution-indicator/ubuntu

Changed in empathy (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-9.10-beta
status: New → In Progress
Ken VanDine (ken-vandine) wrote :

empathy packaging changes at lp:~ubuntu-desktop/empathy/ubuntu

Ken VanDine (ken-vandine) wrote :

Debdiff moving the launcher and cleaning up the old dir for pidgin

Changed in pidgin (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → High
milestone: none → ubuntu-9.10-beta
status: New → In Progress
Changed in gwibber (Ubuntu):
status: New → In Progress
Ken VanDine (ken-vandine) wrote :

gwibber packaging pushed to lp:~gwibber-team/gwibber/packaging

Ken VanDine (ken-vandine) wrote :

New debdiff for pidgin

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 2.0.0~bzr449-0ubuntu1

---------------
gwibber (2.0.0~bzr449-0ubuntu1) karmic; urgency=low

  * New upstream snapshot - r449
    - Fixed notifications (LP: #421021)
    - Fixed time displayed in the messaging menu
    - Merged fix from James Ogley for retweets (LP: #423026)
    - Moved the indicator launcher to /usr/share (LP: #434097)
  * debian/postinst:
    - remove the old indicator from /etc and remove the directory
      if it is empty

 -- Ken VanDine <email address hidden> Thu, 24 Sep 2009 01:31:03 -0400

Changed in gwibber (Ubuntu):
status: In Progress → Fix Released
Changed in evolution-indicator (Ubuntu):
status: In Progress → Fix Committed
Changed in empathy (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution-indicator - 0.2.4-0ubuntu2

---------------
evolution-indicator (0.2.4-0ubuntu2) karmic; urgency=low

  * debian/postinst:
    - use a preinst rather and do some tweaking

  [ Ken VanDine ]
  * debian/rules:
    - Moved the indicator launcher to /usr/share (LP: #434097)
  * debian/postinst:
    - remove the old indicator from /etc and remove the directory
      if it is empty

 -- Sebastien Bacher <email address hidden> Thu, 24 Sep 2009 23:46:51 +0200

Changed in evolution-indicator (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package empathy - 2.28.0-0ubuntu2

---------------
empathy (2.28.0-0ubuntu2) karmic; urgency=low

  * debian/postinst:
    - renamed empathy.preinst and did some tweaking there

  [ Ken VanDine ]
  * debian/rules:
    - Moved the indicator launcher to /usr/share (LP: #434097)
  * debian/postinst:
    - remove the old indicator from /etc and remove the directory
      if it is empty

 -- Sebastien Bacher <email address hidden> Thu, 24 Sep 2009 23:56:55 +0200

Changed in empathy (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.6.2-1ubuntu4

---------------
pidgin (1:2.6.2-1ubuntu4) karmic; urgency=low

  * debian/pidgin.postinst:
    - use preinst rather and do some tweaking

  [ Ken VanDine ]
  * debian/rules:
    - Moved the indicator launcher to /usr/share (LP: #434097)
  * debian/pidgin.postinst:
    - remove the old indicator from /etc and remove the directory
      if it is empty

 -- Sebastien Bacher <email address hidden> Fri, 25 Sep 2009 00:06:24 +0200

Changed in pidgin (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers